<template>
  <div id="app">
    <router-view/>
      <van-tabbar v-model="active">
        <van-tabbar-item icon="home-o">首页</van-tabbar-item>
        <van-tabbar-item icon="apps-o">分类</van-tabbar-item>
        <van-tabbar-item badge="3" icon="shopping-cart-o" @click="go1">购物车</van-tabbar-item>
        <van-tabbar-item icon="friends-o" @click="go">我的</van-tabbar-item>
      </van-tabbar>
  </div>
</template>

<script>
import {Tabbar, TabbarItem} from 'vant';
export default {
  name:'App',
  components: {
    [Tabbar.name]: Tabbar,
    [TabbarItem.name]: TabbarItem
  },
  data(){
    return{
      active: 0,
      icon: {
        active: 'https://img.yzcdn.cn/vant/user-active.png',
        inactive: 'https://img.yzcdn.cn/vant/user-inactive.png'
      },
      theme:false,
      isApp:null,
    }
  },
  mounted(){
    this.isApp=navigator.platform
  },
  methods:{
    go(){
      this.$router.push({
        name:'User'
      })
    },
    go1(){
      this.$router.push({
        name:'Cart'
      })
    },
  }
}
</script>

<style lang="less">
  @import "./assets/less/index.less";
  @import './style/common.less';
  @import url('./style/diy.less');
  
</style>
